## org.apache.poi.xslf.usermodel
Class XSLFNotesMaster

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFSheet
              org.apache.poi.xslf.usermodel.XSLFNotesMaster

All Implemented Interfaces:
  java.lang.Iterable<XSLFShape>, XSLFShapeContainer

    @Beta
    public class XSLFNotesMaster

extends XSLFSheet

Notes master object associated with this layout.

Within a notes master slide are contained all elements that describe the objects and their corresponding formatting for within a presentation slide.

Within a nodes master slide are two main elements. The cSld element specifies the common slide elements such as shapes and their attached text bodies. Then the notesStyles element specifies the formatting for the text within each of these shapes.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`protected` `XSLFNotesMaster(PackagePart part, PackageRelationship rel)`

Method Summary
`XSLFSheet` `getMasterSheet()`
`protected java.lang.String` `getRootElementName()`
`org.openxmlformats.schemas.presentationml.x2006.main.CTNotesMaster` `getXmlObject()`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet
`appendContent, buildShapes, canDraw, clear, commit, createAutoShape, createConnector, createFreeform, createGroup, createPicture, createTable, createTextBox, draw, getBackground, getCommonSlideData, getFollowMasterGraphics, getPlaceholder, getPlaceholders, getShapes, getSlideShow, getSpTree, getTextShapeByType, importContent, iterator, removeShape, setCommonSlideData`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, getTargetPart, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, read, rebase, removeRelation, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLFNotesMaster

    protected XSLFNotesMaster(PackagePart part,
                              PackageRelationship rel)
                       throws java.io.IOException,
                              org.apache.xmlbeans.XmlException

Throws:
  `java.io.IOException`
  `org.apache.xmlbeans.XmlException`

Method Detail

### getXmlObject

    public org.openxmlformats.schemas.presentationml.x2006.main.CTNotesMaster getXmlObject()

  Specified by:
    `getXmlObject` in class `XSLFSheet`
  Returns:
    top-level Xml bean representing this sheet

### getRootElementName

    protected java.lang.String getRootElementName()

  Specified by:
    `getRootElementName` in class `XSLFSheet`

### getMasterSheet

    public XSLFSheet getMasterSheet()

  Specified by:
    `getMasterSheet` in class `XSLFSheet`
  Returns:
    master of this sheet.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.